mh-e (8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Updates for emacs25 (Closes: #846989)
    - Update build-dep: emacs24 => emacs25-nox | emacs25 | emacs24
    - Update depends: emacs24 | emacs | xemacs21
      => emacs25 | emacs24 | emacs | xemacs21

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 Jan 2017 12:03:02 -0700

mh-e (8.5-2) unstable; urgency=low

  * Bug fix: "postinst script blocks if some Recommends are not yet
    configured", thanks to Laurent Bonnaud (Closes: #345987). I removed
    the Recommends for gnus, which forced installation of xemacs.
  * depend on "emacs24 | emacs | xemacs21" rather than "emacs23 | emacsen".
  * build-depend on emacs24 instead of emacs23.
  
 -- Peter S Galbraith <psg@debian.org>  Sat, 01 Jun 2013 12:01:05 -0400

mh-e (8.5-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Sun, 03 Mar 2013 13:23:17 -0500

mh-e (8.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer create /root/.gnupg during installation of the package. This
    is achieved by binding epg-gpg-home-directory to a temporary directory
    during bytecode compilation (implementation in
    debian/emacsen-install). (Closes: #689806)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 21 Oct 2012 16:13:53 +0200

mh-e (8.3-1) unstable; urgency=low

  * New upstream release.
  - Standards-Version bumped to 3.9.2

 -- Peter S Galbraith <psg@debian.org>  Fri, 11 Nov 2011 11:03:23 -0500

mh-e (8.2.90-1) unstable; urgency=low

  * New upstream release
  * Remove w3-el-e21 from suggested packages; no longer exists.

 -- Peter S Galbraith <psg@debian.org>  Mon, 11 Jul 2011 21:40:53 -0400

mh-e (8.2-3) unstable; urgency=low

  * Bug fix: "please remove emacs22 from the build dependencies", thanks
    to Rob Browning (Closes: #567699).
  * control:
  - Added depends on: "dpkg (>= 1.15.4) | install-info" 
  - Standards-Version bumped to 3.8.3
  - Switched "Build-Depends-Indep" to "Build-Depends" as per
    clean-should-be-satisfied-by-build-depends
  - Added ${misc:Depends} (debhelper-but-no-misc-depends)
  * compat: debhelper compat bumped to 7.
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 18 Feb 2010 18:22:39 -0500

mh-e (8.2-2) unstable; urgency=low

  * Bug fix: "FTBFS: /bin/sh: cvs: not found", thanks to Lucas Nussbaum.
    Fixed by not doing `make all' in doc subdirectory, but only `make info'.
    (Closes: #543091).

 -- Peter S Galbraith <psg@debian.org>  Tue, 01 Sep 2009 13:42:08 -0400

mh-e (8.2-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Fri, 17 Jul 2009 15:34:46 -0400

mh-e (8.1-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "lintian error, debian-files-list-in-source", thanks to
    Raphael Geissert (Closes: #451058).
  * Bug fix: "binary files in upstream debian dir", thanks to Raphael
    Hertzog (Closes: #485036).
  * Standards-Version 3.8.0: Added Homepage field and removed it from
    description.
  * Change build-de[pends from tetex-bin to texlive-latex-base and
    texlive-generic-recommended.

 -- Peter S Galbraith <psg@debian.org>  Tue, 09 Sep 2008 19:34:45 -0400

mh-e (8.0.3-3) unstable; urgency=high

  * Bug fix: "mh-e requires sendmail.el, which needs /usr/bin/mail
    installed", thanks to Lucas Nussbaum (Closes: #439486). I simply call
    `make autoloads' now rather than `make', so I avoid byte-compiling all
    the files.

 -- Peter S Galbraith <psg@debian.org>  Wed, 29 Aug 2007 22:35:39 -0400

mh-e (8.0.3-2) unstable; urgency=low

  * Bug fix: "mh-e: please prefer emacs22", thanks to Tatsuya Kinoshita
    (Closes: #434921).

 -- Peter S Galbraith <psg@debian.org>  Mon, 13 Aug 2007 20:58:54 -0400

mh-e (8.0.3-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Mon, 20 Nov 2006 21:11:30 -0500

mh-e (8.0.2-2) unstable; urgency=low

  * Bug fix: "mh-e: postinst failure with xemacs21 because of
    mh-logo.xpm", thanks to Laurent Bonnaud (Closes: #378979).
    The emacsen-install scripts needs to know about
    /usr/share/emacs/site-lisp/etc/images/mh-e to find icons during
    byte-compilation.

 -- Peter S Galbraith <psg@debian.org>  Thu, 20 Jul 2006 10:57:51 -0400

mh-e (8.0.2-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Wed, 19 Jul 2006 14:12:34 -0400

mh-e (8.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depend on tetex-bin; fixes FTBFS, patch from Andreas Jochens.
    (Closes: #375842)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 Jul 2006 21:00:10 +0200

mh-e (8.0-1) unstable; urgency=low

  * New upstream release, a major milestone.

 -- Peter S Galbraith <psg@debian.org>  Sat,  6 May 2006 21:52:25 -0400

mh-e (7.94-1) unstable; urgency=low

  * New upstream release.
    Incorporates new manual!

 -- Peter S Galbraith <psg@debian.org>  Fri, 21 Apr 2006 21:13:26 -0400

mh-e (7.93-1) unstable; urgency=low

  * New upstream bug-fix release.
    Renames `mh-image-load-path' to `mh-image-directory'

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Mar 2006 09:32:38 -0500

mh-e (7.92-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Peter S Galbraith <psg@debian.org>  Sat, 18 Feb 2006 19:14:38 -0500

mh-e (7.91-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Fri,  3 Feb 2006 20:31:19 -0500

mh-e (7.90-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Feb 2006 20:21:48 -0500

mh-e (7.85-2) unstable; urgency=low

  * Don't setup packge for emacs-snapshot (since it should have a
    bleeding-edge version of MH-E).

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Feb 2006 19:30:37 -0500

mh-e (7.85-1) unstable; urgency=low

  * New upstream release
  * Icon images moved to /usr/share/emacs/site-lisp/etc/images/mh-e
    (for now anyway)
  * mh-e-autoloads.el renamed to mh-autoloads.el upstream.

 -- Peter S Galbraith <psg@debian.org>  Sat, 15 Oct 2005 21:26:22 -0400

mh-e (7.84-2) unstable; urgency=low

  * Bug fix: "mh-e: FTBFS: Missing Build-Depends on 'emacs21'", thanks to
    Andreas Jochens (Closes: #314653).
  * Standards-Version: 3.6.2 without changes.
  
 -- Peter S Galbraith <psg@debian.org>  Tue, 20 Sep 2005 22:13:51 -0400

mh-e (7.84-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Mon, 30 May 2005 21:06:46 -0400

mh-e (7.83-1) unstable; urgency=low

  * New upstream bug-fix release.  
    Version 7.83 fixes a handful of bugs, adds colors to buttons for
    signed or encrypted messages, and contains some documentation changes
    related to the upcoming release of the manual. Some options were moved
    to other customization groups as a result.

 -- Peter S Galbraith <psg@debian.org>  Fri,  6 May 2005 13:04:22 -0400

mh-e (7.82-4) unstable; urgency=low

  * emacsen-install, emacsen-startup: Don't compile mh-speed.el since a
    separate speedbar package might be installed.  This will also fix the
    non-reproducible byte-compilation bug for mh-speed.el. Thanks to J G
    Miller for reporting, Christopher J Peikert, Andrew Lincoln, Burrow
    Grant Gould and Olivier Ponsini for helping out with it (Closes: #270349).

 -- Peter S Galbraith <psg@debian.org>  Sun, 19 Dec 2004 20:09:48 -0500

mh-e (7.82-3) unstable; urgency=low

  * debian/emacsen-startup: Replace all occurrences of nil in load-path by
    "." since nil breaks `debian-pkg-add-load-path-item'.

 -- Peter S Galbraith <psg@debian.org>  Sun, 19 Dec 2004 19:47:34 -0500

mh-e (7.82-2) unstable; urgency=low

  * debian/emacsen-startup: use debian-emacs-flavor instead of flavor
    because it is always defined.  Might help with bug #270349.

 -- Peter S Galbraith <psg@debian.org>  Wed, 15 Dec 2004 11:08:30 -0500

mh-e (7.82-1) unstable; urgency=low

  * Suggest wget and imagemagick for X-Image-URL field.
  * Suggest picon-domains.
  * Create mh-startup.el and require it in startup script.
  * Bug fix: "mh-e: Dependence on mailutils-mh not possible yet", 
    (Closes: #208840).

 -- Peter S Galbraith <psg@debian.org>  Tue, 31 Aug 2004 14:28:03 -0400

mh-e (7.4.4-1) unstable; urgency=low

  * New upstream release. Version 7.4.4 addresses programmatic issues from
    the FSF and prepares MH-E for inclusion into an impending GNU Emacs
    release (21.4). There are no user-visible changes.

 -- Peter S Galbraith <psg@debian.org>  Tue, 13 Jul 2004 21:53:30 -0400

mh-e (7.4.3-1) unstable; urgency=low

  * New upstream release (bug fix for Identity menu).
  * Remove depends on mailutils-mh as this release doesn't really work
    well with it.  Real support is provided in the upcoming V8.0.

 -- Peter S Galbraith <psg@debian.org>  Tue, 18 Nov 2003 14:02:09 -0500

mh-e (7.4.2-1) unstable; urgency=low

  * New upstream release (bug fix to work with MH).
  * Recommend gnus instead of suggest.
  * Recommend compface for X-Face fields.
  * Suggest w3-el-e21 or w3m-el for HTML MIME parts.
  * Depend on either nmh or (newly added) mailutils-mh.
  * Standards-Version: 3.6.1 without changes.

 -- Peter S Galbraith <psg@debian.org>  Tue,  2 Sep 2003 20:41:27 -0400

mh-e (7.4.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.5.10 without changes.
  * Skip byte-compilation on mh-gnus.el instead of mh-mime.el now.
  * /etc/emacs/site-start.d/50mh-e.el: skip setup if package purged but
    not removed and only config files remain.
  * Re-enable Info file.  We'll install the 1.3 relaese.

 -- Peter S Galbraith <psg@debian.org>  Wed, 25 Jun 2003 19:23:47 -0400

mh-e (7.3-2) unstable; urgency=low

  * I was mistakenly using the CVS HEAD mh-e.texi file when it's not
    suitable for release.  The latest release is identical to that in
    Emacs21, so omit the files from the package for now.
    instead of the CVS tree version.  
  * Some .el files were tweaked after the release was called final, so
    tweak them here as well.

 -- Peter S Galbraith <psg@debian.org>  Mon, 28 Apr 2003 21:16:40 -0400

mh-e (7.3-1) unstable; urgency=low

  * New upstream release.
  * No longer suggest x-face-el as MH-E decode X-Face on its own now.
  * Standards-Version: 3.5.9 without changes.

 -- Peter S Galbraith <psg@debian.org>  Thu, 24 Apr 2003 19:35:53 -0400

mh-e (7.2-1) unstable; urgency=low

  * New upstream release.
  * Suggest gnus.

 -- Peter S Galbraith <psg@debian.org>  Sat,  1 Feb 2003 11:29:18 -0500

mh-e (7.1-1) unstable; urgency=low

  * New upstream release.

 -- Peter S Galbraith <psg@debian.org>  Tue, 14 Jan 2003 09:56:58 -0500

mh-e (7.0-3) unstable; urgency=low

  * debian/emacsen-startup: Add /usr/share/emacs/site-lisp/mh-e to the
    load-path if not already present, for the uncompiled mh-mime.el

 -- Peter S Galbraith <psg@debian.org>  Tue, 10 Dec 2002 19:47:48 -0500

mh-e (7.0-2) unstable; urgency=low

  * Skip byte-compilation for mh-mime.el (closes: #172156)

 -- Peter S Galbraith <psg@debian.org>  Mon,  9 Dec 2002 13:33:16 -0500

mh-e (7.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: suggest x-face-el package to process X-Face header lines.
  * debian/control: suggest mailcrypt (for GPG) and swish++ (for indexing).
  * debian/control: updated to Standards-Version 3.5.7 without changes.

 -- Peter S Galbraith <psg@debian.org>  Thu, 14 Nov 2002 11:42:09 -0500

mh-e (6.1-1) unstable; urgency=low

  * New upstream release.

 -- Peter S Galbraith <psg@debian.org>  Sun,  7 Apr 2002 19:41:45 -0400

mh-e (6.0.+cvs.20020402-1) unstable; urgency=low

  * CVS Snapshot (Version 6.0 plus bug fixes and highlighted unseen messages).
  * mh-e.el no longer calls a function to set a defvar because it would
    get wrongly set in byte-compilation, and could also fail 
    (closes: #140232, #140817).

 -- Peter S Galbraith <psg@debian.org>  Tue,  2 Apr 2002 13:52:31 -0500

mh-e (6.0.+cvs.20020325-1) unstable; urgency=low

  * CVS Snapshot (Version 6.0 plus bug fixes and highlighted unseen messages).
  * debian/rules: source target to make mh-e.orig.tar archive for Debian
  * debian/control: Recommends mimedecode package. 
  * debian/control: Depends on nmh (closes: #139706).

 -- Peter S Galbraith <psg@debian.org>  Mon, 25 Mar 2002 09:48:17 -0500

mh-e (6.0-1) unstable; urgency=low

  * Initial Release.
  * Made up of: mh-e-6.0.tgz  mh-e-contrib-1.0.tgz  mh-e-doc-1.3.tgz
  * Close the ITP bug against wnpp (closes: #123903)

 -- Peter S Galbraith <psg@debian.org>  Thu, 20 Dec 2001 23:33:31 -0500
